Subject: Re: [MMUSIC] BUNDLE and DATA CHANNEL - Multiple SCTP m- lines

From: Christer Holmberg <[email-masked]>
Date: Tue, 30 Apr 2013 07:57:02 +0000

Hi,

>>> In your example there is only one SCTP m- line, and in WebRTC I guess 
>>> it will also be the case, but SDP doesn't prevent you from using 
>>> multiple SCTP m- lines - unless BUNDLE explicitly forbids it, that is.
>>
>> I agree. If we want to support that, then the obvious way (for 
>> DTLS/SCTP) is via SCTP port. That depends on there being a way to 
>> specify the SCTP with DTLS/SCTP. That has come and gone from the SDP proposal for SCTP.
>
> I don't care whether SDP supports it or not, I care whether it makes sense to do it at all.
>
> There's a reason why you might not want to mux SCTP - it's a protocol with multiplexing support.  Multiplexing outside of it is at best a crude thing to do and at worst a way to dilute congestion signals.
>
> I can understand how you can conceive of scenarios where different application layer protocols don't play well together enough that you want more aggressive separation.  I don't see significant value in supporting those scenarios.
>
> That doesn't completely preclude the future use of SCTP port for demux, but it does constrain complexity.

You can use the "built in" SCTP multiplexing support - as long as all usages share the same SDP media description proto value. If you, you need separate m- lines.

Regards,

Christer